## org.eclipse.emf.compare.match.filter
Interface IResourceFilter

    public interface IResourceFilter

This interface describes the contract for resource filters that can be provided through the extension point org.eclipse.emf.compare.match.resourcefilters. Note that this filter will only be called when comparing models through the EMF Compare API or the `MatchService` doResourceSetMatch() methods.

Method Summary
`void` `filter(java.util.List<org.eclipse.emf.ecore.resource.Resource> leftResources, java.util.List<org.eclipse.emf.ecore.resource.Resource> rightResources)` This method will be called by the framework with the list of all resources present in the compared resourceSets for two way comparison.
`void` `filter(java.util.List<org.eclipse.emf.ecore.resource.Resource> leftResources, java.util.List<org.eclipse.emf.ecore.resource.Resource> rightResources, java.util.List<org.eclipse.emf.ecore.resource.Resource> ancestorResources)` This method will be called by the framework with the list of all resources present in the compared resourceSets for three way comparison.

Method Detail

### filter

    void filter(java.util.List<org.eclipse.emf.ecore.resource.Resource> leftResources,
                java.util.List<org.eclipse.emf.ecore.resource.Resource> rightResources)

  This method will be called by the framework with the list of all resources present in the compared resourceSets for two way comparison. Clients should remove the undesired resources from the parameter lists.

  Parameters:
    `leftResources` - Resources contained by the `ResourceSet` of the left resource.
    `rightResources` - Resources contained by the `ResourceSet` of the right resource.

### filter

    void filter(java.util.List<org.eclipse.emf.ecore.resource.Resource> leftResources,
                java.util.List<org.eclipse.emf.ecore.resource.Resource> rightResources,
                java.util.List<org.eclipse.emf.ecore.resource.Resource> ancestorResources)

  This method will be called by the framework with the list of all resources present in the compared resourceSets for three way comparison. Clients should remove the undesired resources from the parameter lists.

  Parameters:
    `leftResources` - Resources contained by the `ResourceSet` of the left resource.
    `rightResources` - Resources contained by the `ResourceSet` of the right resource.
    `ancestorResources` - Resources contained by the `ResourceSet` of the origin resource.

Copyright 2006 IBM Corporation and others. All Rights Reserved.